Bug 221119 - Missing IOEMU physical address check
Missing IOEMU physical address check
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rik van Riel
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-02 01:09 EST by Herbert Xu
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-26 15:09:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Herbert Xu 2007-01-02 01:09:14 EST
It seems that we should pull the following changeset into RHEL5 as
otherwise any 32-bit HVM guest can supply an address like 0xffffffff
to write memory outside the mapped area.
Comment 1 Stephen Tweedie 2007-01-03 07:59:15 EST
The actual changeset:


# HG changeset patch
# User Tim Deegan <Tim.Deegan@xensource.com>
# Node ID 2041122e0c4a6df3cfce2691bf83d443dc2f698d
# Parent  66cdabe97205613ec9f3b0462961dbedceb68e27
[HVM] Fix qemu's test for whether physcal addresses are RAM.
HVM guests have a memory hole below 4GB, so can't just check whether
addresses are < the amount of RAM allocated.
Signed-off-by: Tim Deegan <Tim.Deegan@xensource.com>

http://xenbits2.xensource.com/xen-unstable.hg?rev/2041122e0c4a
Comment 3 RHEL Product and Program Management 2007-01-03 09:40:59 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Rik van Riel 2007-01-03 12:09:39 EST
Herbert posted this patch last night.

Subject: Missing HVM phys memory check
Comment 5 Jay Turner 2007-01-03 15:37:15 EST
QE ack for RHEL5.
Comment 6 Rik van Riel 2007-01-04 13:50:01 EST
in xen-3.0.3-19.el5
Comment 7 Jay Turner 2007-01-26 15:09:19 EST
xen-3.0.3-22.el5 included in 20070125.0.

Note You need to log in before you can comment on or make changes to this bug.